Skip to main content
POST
/
0
/
private
/
ListCustodyTransactions
List custody transactions
curl --request POST \
  --url https://api.kraken.com/0/private/ListCustodyTransactions \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nonce": 123,
  "page_size": 1,
  "quote": {
    "asset": "<string>",
    "class": "currency"
  },
  "preferred_asset_name": "<string>",
  "sorting": {
    "order": "descending"
  },
  "cursor": "<string>",
  "types": [
    "unspecified"
  ],
  "ids": [
    "<string>"
  ],
  "assets": [
    {
      "asset": "<string>",
      "class": "currency"
    }
  ],
  "ref_ids": [
    {
      "type": "funding",
      "ref_id": "<string>"
    }
  ]
}
'
{
  "errors": [
    {
      "severity": "E",
      "errorClass": "<string>",
      "type": "<string>",
      "errorMessage": "<string>"
    }
  ],
  "result": {
    "transactions": [
      {
        "id": "TXURLTG-FFGYT-X7F73S",
        "time": "2025-07-04T19:21:24.734Z",
        "type": "custody_otc_loan_pledge",
        "category": "custody",
        "area": "custody",
        "status": "successful",
        "ref_id": "TSGOQO3-RE57R-6QY57X",
        "ref_id2": "TSGOQO3-RE57R-6QY57X"
      }
    ],
    "stats": {
      "transactions_seen": 100
    },
    "next_cursor": "ABCDEF"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

id
string
required

Vault ID

Required string length: 14
Pattern: ^V[A-Z2-7]{12}[ACEGIKMOQSUWY246]$

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

page_size
integer<uint64> | null

Page size. If not specified a default value of 25 will be used instead.

Required range: x >= 0
quote
object

Quote amounts and fees in main transaction details in this currency (the quoting is a best effort job of getting the closest rate to the time of the transaction) by default the quoted fields are None

Quoting isn't always available, when its not a None will be returned as well.

preferred_asset_name
string | null

Preferred asset name

sorting
object

Sorting. If not specified, items will be sorted descending.

cursor
string | null

Continue paginating with a cursor

types
enum<string>[] | null

List of transaction types to filter by.

Available options:
unspecified,
deposit,
withdrawal,
trade,
margin,
adjustment,
rollover,
interest,
credit,
transfer,
transfer_peer_to_peer,
settle,
dividend,
nft_trade,
reward,
nft_creator_fee,
nft_rebate,
nft_airdrop,
simple_order,
simple_order_with_deposit,
simple_order_failed,
custom_simple_order,
custom_simple_order_with_deposit,
custom_simple_order_failed,
recurring_simple_order,
recurring_simple_order_with_deposit,
recurring_simple_order_failed,
simple_order_opposite_side,
reserved_fee,
fee_sweep,
ic_settlement,
fee_sweep_dlt,
reward_sweep,
reward_sweep_old,
interest_sweep,
conversion,
dust_sweep,
futures_transfer,
custody_transfer,
deposit_action,
withdrawal_action,
legacy_staking_allocation,
legacy_staking_deallocation,
legacy_staking_reward,
earn_legacy_migration,
block_trade,
equity_trade,
equity_acats,
earn_staking_allocation,
earn_staking_deallocation,
earn_staking_reward,
earn_staking_auto_allocation,
earn_oir_allocation,
earn_oir_deallocation,
earn_oir_reward,
earn_oir_auto_allocation,
earn_base_reward,
earn_base_auto_allocation,
earn_base_auto_deallocation,
custody_staking,
custody_unstaking,
custody_staking_reward,
custody_staking_reward_aggregated,
credit_rollover,
airdrop,
earn_oir_auto_deallocation,
earn_staking_auto_deallocation,
bridge_deposit,
bridge_simple_order,
simple_order_deposit_action,
otc_buy,
otc_sell,
bundle_trade,
equity_fee,
equity_journal,
corporate_action,
user_account_transfer,
earn_restaking,
subscription,
custody_otc_loan_pledge,
custody_otc_collateral_liquidation,
paytag_transfer,
paylink_transfer,
paytag_request_transfer,
paylink_request_transfer,
kard_transfer,
krak_card,
custody_otc_loan_release,
fpsl_reward,
fcm_trade,
boost,
fcm_misc
ids
string[] | null

Portfolio IDs filter

A portfolio transaction ID

assets
object[] | null

Assets filter

ref_ids
object[] | null

Ref ids filter

Response

200 - application/json

Transactions retrieved.

errors
object[]
required
result
object
Example:
{
"transactions": [
{
"id": "TXURLTG-FFGYT-X7F73S",
"time": "2025-07-04T19:21:24.734Z",
"type": "custody_otc_loan_pledge",
"category": "custody",
"area": "custody",
"status": "successful",
"ref_id": "TSGOQO3-RE57R-6QY57X",
"ref_id2": "TSGOQO3-RE57R-6QY57X"
}
],
"stats": { "transactions_seen": 100 },
"next_cursor": "ABCDEF"
}